name: logiit_flutter
description: "A new Flutter project."
publish_to: "none"

version: 1.6.0+107

environment:
  sdk: ">=3.3.1 <4.0.0"
isar_version: &isar_version 3.3.0-dev.2
dependencies:
  flutter:
    sdk: flutter

  url_launcher: ^6.0.10
  uuid: ^4.3.2
  get: ^4.6.6
  cupertino_icons: ^1.0.6
  shared_preferences: ^2.5.3
  connectivity_plus: ^6.0.5
  json_annotation: ^4.8.0
  isar_community: 
    version: *isar_version
  isar_community_flutter_libs: # contains Isar Core
    version: *isar_version
  path_provider: ^2.1.5
  intl: ^0.20.2
  country_picker_pro: ^0.0.2
  image_picker: ^1.2.0
  flutter_cache_manager: ^3.4.1
  file_picker: ^10.3.3
  open_filex: ^4.7.0
  dio: ^5.5.0+1
  pdfrx: ^2.1.14
  card_swiper: ^3.0.1
  internet_connection_checker_plus: ^2.5.2
  crypto: ^3.0.6
  flutter_secure_storage: ^9.2.2
  permission_handler: ^12.0.1
  package_info_plus: ^8.3.0
  workmanager: ^0.9.0
  device_info_plus: ^10.1.0
  intl_phone_field: ^3.2.0
  mobile_scanner: ^7.0.1
  flutter_dotenv: ^5.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: ^0.14.4

  flutter_lints: ^6.0.0
  build_runner: ^2.4.8
  json_serializable: ^6.7.1
  isar_community_generator: 
    version: *isar_version

flutter_launcher_icons:
  image_path: "assets/images/logo.png"
  android: true
  ios: true
  min_sdk_android: 24
  adaptive_icon_background: "#ffffff"
  adaptive_icon_foreground: "assets/icons/LOGiiT_icon.jpg"

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - .env

  
  fonts:
    - family: Montserrat
      fonts:
        - asset: assets/fonts/Montserrat-VariableFont_wght.ttf
        - asset: assets/fonts/Montserrat-Italic-VariableFont_wght.ttf
          style: italic

flutter_icons:
  android: true
  ios: true
  image_path: "assets/icons/LOGiiT_icon.jpg"
